#ifndef TITAN_PCBCAM_PARSERHELPER_H
#define TITAN_PCBCAM_PARSERHELPER_H
#include "../titanpcbcamglobal.h"
#include <QVariantMap>
#include <QPainterPath>


class PcbCamFont;

class TITAN_PCBCAM_EXPORT PcbCamParserHelper
{
public:
    static QVariantMap parseOdbStructuredText(const QByteArray &iData);
    static QPainterPath parseOdbProfile(const QByteArray &iData);
    static bool parseOdbFont(const QByteArray &iData, PcbCamFont *oFont);
private:
    PcbCamParserHelper();
};


#endif // TITAN_PCBCAM_PARSERHELPER_H
